Mail archive
alpine-aports

[alpine-aports] [PATCH 1/3] testing/ffmpegthumbnailer: update to 2.0.10

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Tue, 5 May 2015 00:26:26 +0000

---
 testing/ffmpegthumbnailer/APKBUILD | 26 +++++++++-----------------
 1 file changed, 9 insertions(+), 17 deletions(-)
diff --git a/testing/ffmpegthumbnailer/APKBUILD b/testing/ffmpegthumbnailer/APKBUILD
index 6eaca54..c8f7168 100644
--- a/testing/ffmpegthumbnailer/APKBUILD
+++ b/testing/ffmpegthumbnailer/APKBUILD
_at_@ -1,16 +1,15 @@
 # Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
 # Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
 pkgname=ffmpegthumbnailer
-pkgver=2.0.9
+pkgver=2.0.10
 pkgrel=0
 pkgdesc="Lightweight video thumbnailer that can be used by file managers"
-url="https://code.google.com/p/ffmpegthumbnailer"
+url="https://github.com/dirkvdb/ffmpegthumbnailer"
 arch="all"
 license="GPLv2"
-depends_dev=""
-makedepends="$depends_dev ffmpeg-dev libpng-dev"
+makedepends="$depends_dev ffmpeg-dev libpng-dev libjpeg-turbo-dev cmake"
 subpackages="$pkgname-dev $pkgname-doc"
-source="saveas-https://github.com/itoffshore/$pkgname/archive/$pkgver.tar.gz/${pkgname}-${pkgver}.tar.gz"
+source="$pkgname-$pkgver.tar.bz2::https://github.com/dirkvdb/$pkgname/releases/download/$pkgver/$pkgname-$pkgver.tar.bz2"
 
 _builddir="$srcdir"/$pkgname-$pkgver
 prepare() {
_at_@ -25,15 +24,7 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	./configure \
-		--build=$CBUILD \
-		--host=$CHOST \
-		--prefix=/usr \
-		--sysconfdir=/etc \
-		--mandir=/usr/share/man \
-		--infodir=/usr/share/info \
-		--localstatedir=/var \
-		|| return 1
+	cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX:PATH=/usr -DENABLE_GIO=ON -DENABLE_THUMBNAILER=ON . || return 1
 	make || return 1
 }
 
_at_@ -41,8 +32,9 @@ package() {
 	cd "$_builddir"
 	make DESTDIR="$pkgdir" install || return 1
 	rm -f "$pkgdir"/usr/lib/*.la
+	mv "$pkgdir"/usr/man "$pkgdir"/usr/share/
 }
 
-md5sums="fd5a096a51d0d6d00d15baa6027e8932  ffmpegthumbnailer-2.0.9.tar.gz"
-sha256sums="f5d4ef034c98d1279c01b811460f0f6394f5f3ee5afe4c674ea14f3196b87348  ffmpegthumbnailer-2.0.9.tar.gz"
-sha512sums="fdfb42b30cf980592a7d4b617f9983d265553ed9217151920953901830d816a04eca5f3c6c776697fab67953095600a2d1e0b690c337a200dad8966b0f82df09  ffmpegthumbnailer-2.0.9.tar.gz"
+md5sums="3918d43b9d76c6e3eaf17e1c0c7dd5bc  ffmpegthumbnailer-2.0.10.tar.bz2"
+sha256sums="a3022c86aa3e704849e424147bd4a319867e18930d66a4a4c93c0baefdd1fc60  ffmpegthumbnailer-2.0.10.tar.bz2"
+sha512sums="1fcfcfe9457a3e3e70a749f3234f79d080fbbb40d4d1f65b84e1c46a7051c75368afaffb25a39b43f8e205ffdbc2e156e6fb5848514fce4a1a3f5222458c1b9d  ffmpegthumbnailer-2.0.10.tar.bz2"
-- 
2.4.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue May 05 2015 - 00:26:26 GMT